#
# spec file for package python-django-formtools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-formtools
Version:        2.4.1
Release:        1.8
Summary:        A set of high-level abstractions for Django forms
License:        BSD-3-Clause
URL:            https://github.com/jazzband/django-formtools
Source:         https://files.pythonhosted.org/packages/source/d/django-formtools/django-formtools-%{version}.tar.gz
BuildRequires:  %{python_module Django >= 2.2}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 2.2
BuildArch:      noarch
%python_subpackages

%description
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.

%prep
%setup -q -n django-formtools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.settings
export PYTHONPATH=`pwd`
%python_expand $python -m django test -v 2 tests --pythonpath=`pwd`

%files %{python_files}
%license LICENSE
%doc AUTHORS.rst README.rst
%{python_sitelib}/*

%changelog
* Sun May 21 2023 Dirk Müller <dmueller@suse.com>
- update to 2.4.1:
  * Fixed a regression causing a recursion error when getting
    ``get_form_list()`` from a form condition (#220).
  * Removed Python 3.6 support and added Python 3.11 to test
    matrix.
  * Dropped testing for Django < 3.2 and confirmed support for
    Django 4.2.
* Fri Jan  6 2023 Dirk Müller <dmueller@suse.com>
- update to 2.4:
  * Updated translations from Transifex.
  * Any kwarg passed to ``render_goto_step()`` is passed over to ``render``.
  * ``WizardView`` is using ``get_form_list()`` instead of directly
    accessing ``form_list`` (#168).
  * Added Python 3.10 to test matrix.
  * Dropped testing for Django 3.1.
  * Confirmed support for Django 4.0 and 4.1.
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Updated URL to be https://github.com/jazzband/django-formtools
- Remove unneeded BuildRequires isort
- Update to v2.3
  * Dropped testing for Django 1.11, 2.0 and 2.1.
  * Added support for Django 3.1 and Python 3.9.
  * Added support for Django 3.2 and 4.0.
  * Dropped support for Django 3.0.
  * Dropped support for Python 3.5.
* Tue Jan  7 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.2:
  * Dropped testing for Django 1.8, 1.9, 1.10.
  * Dropped support for Python 2.
  * Added support for Django 2.1, 2.2, 3.0, and Python 3.7.
  * Updated translations from Transifex.
- Remove merged patch django-21.patch
* Mon Dec  9 2019 Matej Cepl <mcepl@suse.com>
- Remove useless pysqlite dependency. If explicit sqlite3
  dependency is required (perhaps in some SLE branch), please,
  just add BR for the full python/python3 package.
* Tue Sep  4 2018 comurphy@suse.com
- Add pysqlite dependency
* Wed Aug  8 2018 tchvatal@suse.com
- Format with spec-cleaner
- Add patch for django 2.1:
  * django-21.patch
* Thu Mar  1 2018 toddrme2178@gmail.com
- Update to version 2.1
  * Added testing for Django 1.11 (no code changes were required).
  * Added support for Django 2.0.
  * Dropped testing for Python 3.3 (now end-of-life) on Django 1.8.
- Fix unit tests
- Implement singlespec version
* Wed Jun 14 2017 aplanas@suse.com
- Initial package
